Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractAccessibleFactoryInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractAccessibleFactory, QAccessiblePlugin

    public interface QAbstractAccessibleFactoryInterface

extends QtJambiInterface, QAbstractFactoryInterface

This interface produces accessible interfaces.

Method Summary
`long` | `__qt_cast_to_QAbstractAccessibleFactory(long ptr)` This method is internal to Qt Jambi.
`QAccessibleInterface` | `create(java.lang.String key, QObject object)` Creates and returns a `QAccessibleInterface` implementation for the class `key` and the object `object`.
`java.util.List<java.lang.String>` | `keys()` Returns the list of keys this plugin supports.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QAccessibleInterface create(java.lang.String key,
                                QObject object)

  Creates and returns a `QAccessibleInterface` implementation for the class `key` and the object `object`. Keys are case sensitive.

See also:
  `keys()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of keys this plugin supports.

  These keys must be the class names that this plugin provides an accessibility implementation for.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractAccessibleFactory

    long __qt_cast_to_QAbstractAccessibleFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

/DL>

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of keys this plugin supports.

  These keys must be the class names that this plugin provides an accessibility implementation for.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractAccessibleFactory

    long __qt_cast_to_QAbstractAccessibleFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index<